{
	"name": "query/custom/fastems/machine_data_last_running_event.json",
	"table": [{
		"record_type": [""],
		"table": "nomet_machine_data"
	}],
	"parameter": {
		"load_group": "",
		"machine_state": ["A0000", "CUTTING"],
		"start_date": ""
	},
	"field": [
		"nmd.code_id",
		"nmd.start_date",
		"nmd.start_time",
		"nmd.end_date",
		"nmd.end_time"
	],
	"order": ["nmd.code_id", ">"],
	"query": [
		["nmd.load_group_id", "=", "load_group"],
		"and",
		["nmd.machine_state", "in", "machine_state"],
		"and",
		"date_set"
	],
	"set": {
		"date_set": [
			["nmd.end_date", ">=", "start_date"],
			"or",
			["nmd.end_date", "=", "0000-00-00"]
		]
	}
}